=== wml_backend/CMakeLists.txt ===
ADD_SUBDIRECTORY( p1_ipp )
ADD_SUBDIRECTORY( p2_mp4h )
ADD_SUBDIRECTORY( p3_eperl )
ADD_SUBDIRECTORY( p5_divert )
ADD_SUBDIRECTORY( p6_asubst )
ADD_SUBDIRECTORY( p7_htmlfix )
ADD_SUBDIRECTORY( p8_htmlstrip )
ADD_SUBDIRECTORY( p9_slice )
