=== wml_aux/htmlinfo/CMakeLists.txt ===
DEFINE_WML_AUX_PERL_PROG("htmlinfo")
