=== wml_aux/map2html/CMakeLists.txt ===
DEFINE_WML_AUX_PERL_PROG("map2html")
