=== wml_backend/p5_divert/CMakeLists.txt ===
DEFINE_WML_PERL_BACKEND("divert" "wml_p5_divert")
