=== wml_backend/p7_htmlfix/CMakeLists.txt ===
DEFINE_WML_PERL_BACKEND("htmlfix" "wml_p7_htmlfix")
