=== debian/changelog ===
wml (2.12.2~ds1-2) unstable; urgency=medium

  * Recommend libgd-perl: wml::des::imgbg now uses GD.pm instead of the
    vanished WML::GD which used the C library libgd3 directly. Thanks to
    Kurt Roeckx for the bug report! (Closes: #922507)
  * Install all files except the .spec files from wml_contrib into
    /usr/share/wml/contrib/ instead of /usr/share/doc/wml/wml_contrib/.
    + Make tkwmd executable via override and suggest perl-tk for it.
    + Replace ancient workaround with proper shebang line in wml1to2.
    + Add lintian override for /usr/share/wml/contrib/README.

 -- Axel Beckert <abe@debian.org>  Sun, 17 Feb 2019 18:39:38 +0100

wml (2.12.2~ds1-1) unstable; urgency=medium

  * New upstream bug fix release.
    + Drop wml_test/test.mak from test installation list.
    + debian/docs: Follow renaming from README to README.md.
    + Drop man page uncompression from debian/tests/upstream-tests as
      wml_test/t/man-pages.t is gone.
  * Add patch to fix old typos found by new lintian.

 -- Axel Beckert <abe@debian.org>  Tue, 29 Jan 2019 02:14:17 +0100

wml (2.12.1~ds1-1) unstable; urgency=medium

  * Import new upstream release 2.12.1.
    + Drop fix-man-page-sections-and-see-also.diff, manpage-fixes.diff,
      reproducible-build.diff, fix-test-suite-warning.patch, and
      ignore-subsecond-difference-issues-in-wmk-test.patch; applied
      upstream or fixed otherwise.
    + Refresh datadir-for-cmake-too.diff.
    + Update debian/tests/upstream-tests to install the wmk man
      page from package into the test tree, just uncompressed.

 -- Axel Beckert <abe@debian.org>  Sun, 13 Jan 2019 17:29:01 +0100

wml (2.12.0~ds1-5) unstable; urgency=medium

  * debian/rules: Use DEB_HOST_* instead of DEB_TARGET_* for build and
    installation directory names. (Closes: #918617) Thanks Guillem Jover!

 -- Axel Beckert <abe@debian.org>  Tue, 08 Jan 2019 06:28:00 +0100

wml (2.12.0~ds1-4) unstable; urgency=medium

  * Add missing dependencies on libio-all-perl and liblist-moreutils-perl.
    (Closes: #918398) Thanks Adrian Bunk!
  * Drop all *-dev build-dependencies. No more needed since actually the
    switch to "Architecture: all".
  * Drop "<!nocheck>" from all build-dependencies for which CMake checks.
  * Add all (test-suite-related) build-dependencies which are checked by
    CMake, namely libbit-vector-perl and liblist-moreutils-perl (not yet,
    see https://github.com/thewml/website-meta-language/pull/23).
  * override_dh_auto_test: For now, check both, DEB_BUILD_OPTIONS and
    DEB_BUILD_PROFILES, see
    https://lists.debian.org/debian-devel/2019/01/msg00039.html ff.

 -- Axel Beckert <abe@debian.org>  Sun, 06 Jan 2019 03:49:04 +0100

wml (2.12.0~ds1-3) unstable; urgency=medium

  * Use DEB_TARGET_MULTIARCH instead of DEB_TARGET_GNU_TYPE in
    debian/rules' install target to fix FTBFS on i386 (and possibly other
    architectures). Thanks to the Reproducible Builds project for having
    tested this.

 -- Axel Beckert <abe@debian.org>  Sat, 05 Jan 2019 02:29:51 +0100

wml (2.12.0~ds1-2) unstable; urgency=low

  * Extend reproducible-build.diff: Patch cmake/pod2man-wrapper.pl to not
    put the build directory name into the man page title.

 -- Axel Beckert <abe@debian.org>  Tue, 01 Jan 2019 02:36:39 +0100

wml (2.12.0~ds1-1) unstable; urgency=low

  * Upload to unstable again.
  * Fix oversionmangle regexp in debian/watch.
  * New upstream release.
    + Drop all patches added in the previous upload, applied upstream.
    + Drop wmu.src hunk from fix-man-page-sections-and-see-also.diff, wmu
      has been deprecated and has no more function.
    + Refresh patches.
  * Update Homepage header to HTTPS.
  * Drop horribly outdated debian/TODO. (Last modified over 8 years ago.)
  * Don't install deprecated and now no-op wmu.
  * Make package autopkgtestable with the upstream test suite.
    + Add patch to fix unnecessary test suite warning on STDERR.
    + Make t/11-wmk.t not bail out due subsecond time difference. This is
      likely related to #675855 which caused me to disable that test for
      Debian until upstream did so, too.
  * Bump debhelper compatibility level to 12.
    + Drop debian/compat file and use a versioned build-dependency on
      debhelper-compat instead.
  * Merge 2.0.12ds1-10 to 2.0.12ds1-13 legacy uploads:
    + Drop htmlfix_imgsize.diff (from 2.0.12ds1-13), applied upstream.
    + Drop "-b cmake" from Vcs-Git header.
    + Keep DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow (from 2.0.12ds1-10)
      since the package will likely switch back to arch:any after the Buster
      release.
    + reproducible-build.diff: Update from wml_frontend/wml.src to
      wml_include/TheWML/Config.pm.src. (Merge "Also remove name of the
      build host" from 2.0.12ds1-10.)
  * Add a DEP-12 debian/upstream/metadata file.

 -- Axel Beckert <abe@debian.org>  Mon, 31 Dec 2018 19:49:19 +0100

wml (2.10.1~ds1-1) experimental; urgency=low

  * Fix wrong bug number in previous changelog entry.
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)
  * Mention new github.com repository in debian/copyright.
  * Update Vcs-* headers for packaging repository moving to Salsa.
  * Drop one-man-team from Maintainer field, set myself personally there
    instead. (Closes: #899725)
  * Add "-b cmake" to Vcs-Git until this package is uploaded to unstable.
  * Check DEB_BUILD_OPTIONS for nocheck running test suite preparations.
  * Update debian/watch to point to releases in Github repository.
  * Import new upstream release 2.10.0.
    + Drop many hunks as a lot of autotools related files were removed.
    + Refresh patches as necessary.
    + Drop patches do-not-touch-problematic-files.diff,
      fix-testsuite.diff, fix-WML_VERSION-in-manpage.diff, and
      fix-test-suite-makefile.diff, fixup-non-free-stuff-removal.diff,
      no more needed.
    + Drop remove-tmp-ipp-directories.diff and all wml_frontend/wml.src

