## wml 2.28.0~ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,19 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
+PROJECT(wml)
 
 INCLUDE ("${CMAKE_SOURCE_DIR}/cmake/shlomif_common_bootstrap.cmake")
 SHLOMIF_COMMON_SETUP("${private_mod_path}")
+INCLUDE ("${CMAKE_SOURCE_DIR}/cmake/thewml.cmake")
 # see - http://www.cmake.org/Wiki/CMake_FAQ#Is_there_an_option_to_produce_more_.27verbose.27_compiling.3F
 # SET(CMAKE_VERBOSE_MAKEFILE ON)
 
-SET(VERSION "2.12.2")
+SET (CPU_ARCH "" CACHE STRING "A specific CPU architecture to pass to gcc")
+option (OPTIMIZATION_OMIT_FRAME_POINTER "Use -fomit-frame-pointer with gcc (not recommended for debugging)")
+SET (PKGDATADIR_SUBDIR "wml")
+SET (RELATIVE_PKGDATADIR "${RELATIVE_DATADIR}/${PKGDATADIR_SUBDIR}")
+SET (PKGDATADIR "${DATADIR}/${PKGDATADIR_SUBDIR}")
+
+SET(VERSION "2.28.0")
 
 IF (NOT CMAKE_INSTALL_PREFIX)
     MESSAGE (FATAL_ERROR "CMAKE_INSTALL_PREFIX must be defined. Specify it with -DCMAKE_INSTALL_PREFIX=...")
@@ -22,7 +30,7 @@
 ENDIF()
 
 SET (WML_LIB_DIR "${WML_LIB_DIR_BASE}/wml")
-SET (WML_DATA_DIR "${WML_LIB_DIR}/data")
+SET (WML_DATA_DIR "${PKGDATADIR}/data")
 SET (WML_LIBEXE_DIR "${WML_LIB_DIR}/exec/")
 
 # This is the equivalent to perform a "make dist"/"make distdir" etc.
@@ -72,10 +80,10 @@
     SET(CPACK_NSIS_MUI_UNIICON ${CPACK_NSIS_MUI_ICON})
     SET(CPACK_PACKAGE_ICON ${CPACK_NSIS_MUI_ICON})
     SET(CPACK_NSIS_MODIFY_PATH "ON")
-ELSE(WIN32 AND NOT UNIX)
+ELSE()
     # SET(CPACK_STRIP_FILES "")
     # SET(CPACK_SOURCE_STRIP_FILES "")
-ENDIF(WIN32 AND NOT UNIX)
+ENDIF()
 
 SET(CPACK_PACKAGE_EXECUTABLES
     "wml" "Website Meta Language Frontend"
@@ -107,6 +115,14 @@
 
 ENABLE_TESTING()
 
+FUNCTION(RUN_ASC2C src dest varname)
+    ADD_CUSTOM_COMMAND(
+        COMMAND ${PERL_EXECUTABLE} ${CMAKE_SOURCE_DIR}/scripts/asc2c "${src}" "${dest}" "${varname}"
+        OUTPUT "${dest}.c"
+        DEPENDS "${src}"
+    )
+ENDFUNCTION()
+
 ADD_SUBDIRECTORY( wml_aux )
 ADD_SUBDIRECTORY( wml_backend )
 ADD_SUBDIRECTORY( wml_docs )
