=== debian/changelog ===
wml (2.28.0~ds1-2) unstable; urgency=low

  * Retroactively mention #916519 in the 2.10.1~ds1-1 changelog entry.
  * Retroactively mention #928932 in the 2.12.2~ds1-3 changelog entry.
  * Drop debian/source/lintian-overrides now that #964281 is fixed.
  * Make slice work standalone again. (Closes: #964678)
    + Move /usr/share/wml/TheWML/Backends/Slice/ from wml to slice.
    + Move /usr/share/wml/TheWML/CmdLine/IO.pm from wml to slice.
    + Add according Breaks and Replaces headers.
    + Let slice depend on libpath-tiny-perl and libclass-xsaccessor-perl.
    + Drop dependency on libbit-vector-perl from wml.

 -- Axel Beckert <abe@debian.org>  Fri, 10 Jul 2020 02:16:00 +0200

wml (2.28.0~ds1-1) unstable; urgency=low

  * New upstream release.
    + Drop patch fix-contrib-wml1to2-shebang-line.patch, obsolete.
    + Drop wml_include/TheWML/Frontends/Wml/PassesManager.pm,
      cmake/Shlomif_Common.cmake, cmake/preprocess-path-perl.pl and
      wml_frontend/CMakeLists.txt hunks from datadir-for-cmake-too.diff
    + Drop wml_contrib/wmg.cgi hunks from wml_2.0.11ds1-0.4.diff.
    + Drop wmd hunks from datadir-for-cmake-too.diff.
    + Update debian/{install,docs} wrt. files renamed or dropped upstream.
    + Refresh patches as needed.
    + Update test suite paths in override_dh_auto_test as needed.
    + Build the slice binary package from the wml source package. Recent
      wml versions (since approx. 2.20.x) are no more compatible with the
      old standalone slice. Rename debian/* to debian/wml.* as needed.
      - Cherry-pick fix-spelling-errors.diff from slice source package.
      - Cherry-pick remove-non-used-lib-dirs.diff from slice source
        package, but keep @INSTALLPRIVLIB@ as it's needed for
        /usr/share/wml/SliceTermParser.pm now.
      - Drop build-depedency on slice.
      - Let wml depend on slice >= 2.20.
      - Set a separate Homepage for the slice binary package.
    + Extend dont-use-usr-bin-env.patch to cover tkwmd.
    + Update datadir-for-cmake-too.diff to make libdir() behave like
      datadir() and drop /usr/lib/wml symlink. Fixes autopkgtest and
      lintian warning breakout-link.
  * Update lintian overrides to follow renamed lintian tags.
  * Add lintian override for national-encoding tag on isolatin.wml.
  * Add patch to fix national encoding in other files.
    + Add lintian override for national-encoding in the patch file. (See
      #964281 in lintian.)
  * Bump debhelper-compat to 13.
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)
  * debian/rules:
    + Move override_dh_auto_test before override_dh_*install*.
    + Always call "mv" with "-v".
    + Never call "ln" with "-i".
  * Mention in the package description when the recommended and suggested
    packages are needed.

 -- Axel Beckert <abe@debian.org>  Sun, 05 Jul 2020 04:00:47 +0200

wml (2.12.2~ds1-3) unstable; urgency=medium

  * Add patch to fix regression in Unicode handling (especially Chinese)
    of "htmlstrip -O2" from Stretch to Buster by adding "no feature
    'unicode_strings'". (Closes: #959761, #928932)

 -- Axel Beckert <abe@debian.org>  Tue, 05 May 2020 14:48:19 +0200
