=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: web
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                eperl <!nocheck>,
                freetable <!nocheck>,
                libbit-vector-perl,
@@ -25,7 +25,6 @@
                m4 <!nocheck>,
                mp4h <!nocheck>,
                perl (>= 5.8.0),
-               slice <!nocheck>,
                txt2html <!nocheck>,
                weblint-perl <!nocheck>,
                zlib1g-dev
@@ -38,7 +37,6 @@
 Architecture: all
 Depends: eperl (>= 2.2.14-2),
          libclass-xsaccessor-perl,
-         libbit-vector-perl,
          libcarp-always-perl,
          libfile-which-perl,
          libimage-size-perl,
@@ -48,7 +46,7 @@
          libterm-readkey-perl,
          m4 (>= 1.4-8),
          mp4h (>= 1.1.1-1),
-         slice (>= 1.3.7-0.1),
+         slice (>= 2.20),
          ${misc:Depends},
          ${perl:Depends}
 Recommends: iselect (>= 1.2.0-2),
@@ -75,3 +73,25 @@
  backends core languages. While not trivial and idiot proof WML provides
  most of the core features real hackers always wanted for HTML
  generation.
+ .
+ iselect is needed for wmd, the WML Documentation browser. The
+ remaining recommended or suggested packages are needed by optional
+ passes or libraries.
+
+Package: slice
+Homepage: https://github.com/thewml/website-meta-language/tree/master/src/wml_backend/p9_slice#readme
+Architecture: all
+Depends: libbit-vector-perl,
+         libclass-xsaccessor-perl,
+         libpath-tiny-perl,
+         perl,
+         ${misc:Depends},
+         ${perl:Depends}
+Breaks: wml (<< 2.28.0~ds1-2)
+Replaces: wml (<< 2.28.0~ds1-2)
+Description: Extract out pre-defined slices of an ASCII file
+ The slice program reads an input file and divide its prepared ASCII contents
+ into possibly overlapping slices. These slices are determined by enclosing
+ blocks which are defined by begin and end delimiters which have to be
+ already in the file. The final output gets calculated by a slice term
+ consisting of slice names, set theory operators and optional round brackets.
