=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 r = $(shell pwd)/debian/wml
 t = $(shell pwd)/debian/tmp
 o = $(shell pwd)/obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-m = $(r)/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+m = $(t)/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 p = wml
 
 # Repackaging variables
@@ -26,30 +26,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_INSTALL_DIR=dummy
 
-override_dh_auto_install:
-	dh_auto_install -- prefix=$(r)/usr mandir=$(r)/usr/share/man INSTALLDIRS=perl
-	# Install icons for wml::std::logo
-	dh_auto_install -Dwml_misc -- libdir=$(r)/usr/share/wml
-
-	find $(r)/usr -type f -name .packlist -delete
-	find $(r) -type d -empty -delete
-	mv -v $(m)/wml $(r)/usr/share/
-	#   Fix documentation
-	for f in $(r)/usr/share/man/*/*; do \
-	   sed -e 's|.*/\([^/	]*\)	.*/\([^/	]*\)|s/\2/\1/|' debian/links |\
-	   sed -f - $$f > $$f.new && mv $$f.new $$f; \
-	done
-	rmdir -v $(m)/
-	# Don't ship wmu nor its man pages, its useless in distro (and deprecated anyways)
-	rm -f debian/wml/usr/share/man/man1/wmu.1* debian/wml/usr/bin/wmu
-
-override_dh_install:
-	dh_install
-	chmod 755 $(r)/usr/share/wml/contrib/tkwmd
-
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-	cp -pvr wml_test/TEST* wml_test/t $(o)/wml_test/
+	cp -pvr wml_test/t $(o)/wml_test/
 	mkdir -pv $(o)/wml_test/tests/installation/lib/wml/exec/
 	ln -vis $(o)/wml_test/tests/installation/lib $(o)/wml_test/tests/installation/share
 	mkdir -pv $(o)/wml_test/tests/installation/bin/
@@ -61,16 +40,17 @@
 	cp -pv $(o)/wml_backend/p6_asubst/asubst.pl       $(o)/wml_test/tests/installation/lib/wml/exec/wml_p6_asubst
 	cp -pv $(o)/wml_backend/p7_htmlfix/htmlfix.pl     $(o)/wml_test/tests/installation/lib/wml/exec/wml_p7_htmlfix
 	cp -pv $(o)/wml_backend/p8_htmlstrip/htmlstrip.pl $(o)/wml_test/tests/installation/lib/wml/exec/wml_p8_htmlstrip
+	cp -pv $(o)/wml_backend/p9_slice/slice.pl $(o)/wml_test/tests/installation/lib/wml/exec/wml_p9_slice
 	mkdir -pv $(o)/wml_test/tests/installation/lib/perl5/include/ $(o)/wml_test/tests/installation/share/wml/include/
 	cp -pvr wml_include/TheWML/ $(o)/wml_test/tests/installation/lib/perl5/
+	cp -pv wml_backend/p9_slice/SliceTermParser.pm  $(o)/wml_test/tests/installation/lib/perl5/
 	cp -pvr $(o)/wml_include/TheWML/ $(o)/wml_test/tests/installation/lib/perl5/
 	cp -pvr $(o)/wml_include/???/ $(o)/wml_include/all.wml $(o)/wml_test/tests/installation/share/wml/include/
 	#dh_auto_install -- prefix=$(o)/wml_test/tests/installation/
-	ln -vis /usr/bin/mp4h  $(o)/wml_test/tests/installation/lib/wml/exec/wml_p2_mp4h
-	ln -vis /usr/bin/eperl $(o)/wml_test/tests/installation/lib/wml/exec/wml_p3_eperl
-	ln -vis /usr/bin/m4    $(o)/wml_test/tests/installation/lib/wml/exec/wml_p4_gm4
-	ln -vis /usr/bin/slice $(o)/wml_test/tests/installation/lib/wml/exec/wml_p9_slice
-	sed -e 's:/usr/\(lib\|share\)/wml:$(o)/wml_test/tests/installation/\1/wml:g; s:\(WML_LOC_.*\)=/usr:\1=$(o)/wml_test/tests/installation:g;' \
+	ln -vs /usr/bin/mp4h  $(o)/wml_test/tests/installation/lib/wml/exec/wml_p2_mp4h
+	ln -vs /usr/bin/eperl $(o)/wml_test/tests/installation/lib/wml/exec/wml_p3_eperl
+	ln -vs /usr/bin/m4    $(o)/wml_test/tests/installation/lib/wml/exec/wml_p4_gm4
+	sed -e 's:^\(my $$EXEC_DIR *=\).*:\1 "$(o)/wml_test/tests/installation/lib/wml/exec";:g; s:/usr/\(lib\|share\)/wml:$(o)/wml_test/tests/installation/\1/wml:g; s:\(WML_LOC_.*\)=/usr:\1=$(o)/wml_test/tests/installation:g;' \
 	    -i $(o)/wml_test/tests/installation/bin/wm? \
 	       $(o)/wml_test/tests/installation/lib/wml/exec/wml_p* \
 	       $(o)/wml_test/tests/installation/lib/perl5/TheWML/*.pm \
@@ -78,6 +58,31 @@
 	       $(o)/wml_test/tests/installation/lib/perl5/TheWML/*/*/*.pm
 	dh_auto_test
 endif
+
+override_dh_auto_install:
+	dh_auto_install -- prefix=$(t)/usr mandir=$(t)/usr/share/man INSTALLDIRS=perl
+	# Install icons for wml::std::logo
+	dh_auto_install -Dwml_misc -- libdir=$(t)/usr/share/wml
+
+	find $(t)/usr -type f -name .packlist -delete
+	find $(t) -type d -empty -delete
+	mv -v $(m)/wml/exec $(t)/usr/share/wml/
+	#   Fix documentation
+	for f in $(t)/usr/share/man/*/*; do \
+	   sed -e 's|.*/\([^/	]*\)	.*/\([^/	]*\)|s/\2/\1/|' debian/wml.links |\
+	   sed -f - $$f > $$f.new && mv -v $$f.new $$f; \
+	done
+	rmdir -v $(m)/wml $(m) $(t)/usr/lib
+	# Don't ship wmu nor its man pages, its useless in distro (and deprecated anyways)
+	rm -f $(t)/usr/share/man/man1/wmu.1* $(t)/usr/bin/wmu
+
+	# Install slice as /usr/bin/slice instead of /usr/share/wml/exec/wml_p9_slice
+	mv -v $(t)/usr/share/wml/exec/wml_p9_slice $(t)/usr/bin/slice
+	mv -v $(t)/usr/share/man/man1/wml_p9_slice.1 $(t)/usr/share/man/man1/slice.1
+
+override_dh_install:
+	dh_install
+	chmod 755 $(r)/usr/share/wml/contrib/tkwmd
 
 override_dh_installdocs:
 	dh_installdocs
